// Aspect ratio

const
    widthInput = document.getElementById('width'),
    heightInput = document.getElementById('height'),
    ratioLock = document.getElementById('ratioLock');
let
    lastWidthValue = +widthInput.value,
    lastHeightValue = +heightInput.value;

widthInput.onchange = () => {
    if (ratioLock.checked) {
        if (lastWidthValue === 0) {
            lastWidthValue = +widthInput.value;
            lastHeightValue = +heightInput.value;
        }
        let ratio = +widthInput.value / lastWidthValue;
        heightInput.value = +(ratio * +heightInput.value);
        lastWidthValue = +widthInput.value;
        lastHeightValue = +heightInput.value;
        console.log(lastHeightValue, lastWidthValue)
    }
};

heightInput.onchange = () => {
    if (ratioLock.checked) {
        if (lastHeightValue === 0) {
            lastHeightValue = +heightInput.value;
            lastWidthValue = +widthInput.value;
        }
        let ratio = +heightInput.value / lastHeightValue;
        widthInput.value = +(ratio * +widthInput.value);
        lastHeightValue = +heightInput.value;
        lastWidthValue = +widthInput.value;
        console.log(lastHeightValue, lastWidthValue)
    }
};

ratioLock.onchange = () => {
    lastWidthValue = +widthInput.value;
    lastHeightValue = +heightInput.value;
    console.log(lastHeightValue, lastWidthValue)
};